<ng-container *ngIf="filtersLoaded | async; else pending">
  <div class="container-fluid min-vh-100 mt-5">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <h5 class="card-header text-white bg-dark">{{committee[url].name}}</h5>
          <div class="card-body">
            <p class="card-text">{{committee[url].description}}</p>
          </div>
        </div>
      </div>
    </div>
    <br>
    <div class="row">
      <div class="col-3">
        <div class="card h-100">
          <h5 class="card-header text-white bg-dark">Members ({{users?.length}})</h5>
          <div class="card-body">
            <div class="card-text">
              <ul class="list-group">
                <li class="list-group-item" *ngFor="let user of users">
                  <i class="fa fa-user" aria-hidden="true"></i> {{user.first_name}} {{user.last_name}}</li>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <div class="col-9">
        <div class="card h-100">
          <h5 class="card-header text-white bg-dark">Activities</h5>
          <div class="card-body">
            <div class="card mb-3" *ngFor="let activity of activities">
              <div class="card-body">
                <p class="card-title">{{activity.title}}</p>
                <hr>
                <p class="card-text text-right mb-4">
                  <i class="fa fa-clock-o" aria-hidden="true"></i>
                  {{activity.created_at | date}}
                </p>
                <angular-editor [outerHTML]="activity.content.slice(0, 300)" class="card-text"
                                [config]="editorConfig"></angular-editor>
              </div>
              <div
                *ngIf="currentUser && (currentUser.role == 'admin' || currentUser.committee.split(',').includes(committee[url].name));then one else two"></div>
              <ng-template #one>
                <div class="btn-group" role="group">
                  <a class="btn btn-info btn-sm" (click)="openViewModal(viewModal, activity)">View</a>
                  <a class="btn btn-primary btn-sm" (click)="openEditModal(editModal, activity)">Edit</a>
                  <a class="btn btn-danger btn-sm" (click)="openDeleteModal(deleteModal, activity)">Delete</a>
                </div>
              </ng-template>
              <ng-template #two>
                <a class="btn btn-outline-dark btn-sm" (click)="openViewModal(viewModal, activity)">Read more
                  <i class="fa fa-arrow-right" aria-hidden="true"></i></a>
              </ng-template>
            </div>
            <button
              *ngIf="currentUser && (currentUser.role == 'admin' || currentUser.committee.split(',').includes(committee[url].name))"
              type="button" class="btn btn-success" (click)="modalService.open(addModal, {size: 'lg'})">
              <i class="fa fa-align-center fa-plus" aria-hidden="true"></i>
              Add new
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #pending>
  <div class="loader"></div>
</ng-template>


<!--Add modal-->
<ng-template #addModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Add activity</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="addActivityForm" (ngSubmit)="onSubmitAdd()" enctype="multipart/form-data">
    <div class="modal-body">
      <div class="form-group">
        <label for="title_1">Title</label>
        <input type="text" class="form-control" id="title_1" formControlName="title">
      </div>
      <div class="form-group">
        <label for="images_1">Add images</label>
        <input class="form-control-file" id="images_1" type="file" accept="image/*" multiple
               (change)="uploadImages($event)">
      </div>
      <div class="form-group">
        <label for="content_1">Content</label>
        <angular-editor id="content_1" formControlName="content" [config]="editorConfig2"></angular-editor>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
  </form>
</ng-template>


<!--Edit modal-->
<ng-template #editModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Edit activity</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="editActivityForm" (ngSubmit)="onSubmitEdit()">
    <div class="modal-body">
      <div class="form-group">
        <label for="title_2">Title</label>
        <input class="form-control" id="title_2" formControlName="title">
      </div>
      <div class="form-group">
        <label for="content_2">Content</label>
        <angular-editor id="content_2" formControlName="content" [config]="editorConfig2"></angular-editor>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Save changes</button>
    </div>
  </form>
</ng-template>


<!--Delete modal-->
<ng-template #deleteModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Delete activity</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="deleteActivityForm" (ngSubmit)="onSubmitDelete()">
    <div class="modal-body">
      <p>Are you sure you want to delete:</p>
      <input class=form-control-plaintext formControlName="title" readonly>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-danger">Delete</button>
    </div>
  </form>
</ng-template>


<!--View modal-->
<ng-template #viewModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">{{viewActivityForm.controls['title'].value}}</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
    <div class="modal-body">
      <div class="form-group">
        <div class="col text-right">
          <i class="fa fa-clock-o" aria-hidden="true"></i> {{viewActivityForm.controls['created_at'].value | date}}
        </div>
      </div>
      <div class="form-group">
        <angular-editor class="card-text" [outerHTML]="viewActivityForm.controls['content'].value"
                        [config]="editorConfig"></angular-editor>
      </div>
      <h3 class="text-center mt-3">Gallery</h3>
      <ngb-carousel *ngIf="loaded" style="background-color: black">
        <ng-template ngbSlide *ngFor="let image of images">
          <img [src]="image" alt="" class="img-fluid mx-auto d-block" style="max-height: 50vh;">
        </ng-template>
      </ngb-carousel>
      <img *ngIf="!loaded" [src]="'https://media.tenor.com/images/f864cbf3ea7916572605edd3b3fe637f/tenor.gif'"
           width="100px" height="100px" class="mx-auto d-block" alt="">
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
    </div>
</ng-template>
